Bug 1472859 - keystone catalog should not have entries for disabled api (cinder v1)
keystone catalog should not have entries for disabled api (cinder v1)
Status: NEW
Product: Red Hat OpenStack
Classification: Red Hat
Component: puppet-cinder (Show other bugs)
12.0 (Pike)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 12.0 (Pike)
Assigned To: RHOS Maint
Avi Avraham
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-19 10:36 EDT by Attila Fazekas
Modified: 2017-07-21 08:21 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Attila Fazekas 2017-07-19 10:36:23 EDT
Description of problem:

enable_v1_api defaults to false in the /etc/cinder/cinder.conf
however the keystone catalog still has an v1 endpoint for cinder.  


Version-Release number of selected component (if applicable):
openstack-packstack-puppet-10.1.0-0.20170711115345.335f91a.el7ost.noarch

How reproducible:
always


Expected results:
The keystone catalog does not have not follow-able link.


Additional info:
python-tempestconf is trying to list the available extensions when it it sees it in the catalog.
Comment 1 Attila Fazekas 2017-07-20 02:25:55 EDT
The devstack gate does not likes the idea:
https://review.openstack.org/#/c/485232/

ATM not a good idea to just remove it.

Note You need to log in before you can comment on or make changes to this bug.